Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# TypeCode.h File Reference

`#include "tao/TAO_Export.h"`
`#include "tao/UserException.h"`
`#include "tao/Basic_Types.h"`
`#include "tao/ValueModifierC.h"`
`#include "tao/VisibilityC.h"`
`#include "tao/Typecode_typesC.h"`
`#include "tao/CORBA_methods.h"`
`#include "tao/Pseudo_VarOut_T.h"`
`#include "tao/Object_Argument_T.h"`
`#include "tao/Arg_Traits_T.h"`

Include dependency graph for TypeCode.h:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | CORBA
namespace | TAO
namespace | TAO::TypeCode
## Classes
class | CORBA::TypeCode
| A representation of the structure of a given OMG IDL-declared type. More...
class | CORBA::TypeCode::Bounds
| Out-of-bounds member index exception. More...
class | CORBA::TypeCode::BadKind
| Invalid `TypeCode` operation exception. More...
class | TAO::Arg_Traits< CORBA::TypeCode >
struct | TAO::Objref_Traits< ::CORBA::TypeCode >
## Typedefs
typedef TAO_Pseudo_Var_T< TypeCode > | TypeCode_var
typedef TAO_Pseudo_Out_T< TypeCode, TypeCode_var > | TypeCode_out
## Functions
TAO_NAMESPACE_INLINE_FUNCTION bool | operator<< (TAO_OutputCDR &cdr, CORBA::TypeCode_ptr tc)
TAO_Export bool | operator>> (TAO_InputCDR &cdr, CORBA::TypeCode_ptr &tc)
TAO_Export bool | marshal (TAO_OutputCDR &cdr, CORBA::TypeCode_ptr tc, CORBA::ULong offset)
TAO_Export CORBA::ULong | aligned_offset (CORBA::ULong offset)
| Return offset aligned on the appropriate CDR boundary.
TAO_Export CORBA::TypeCode_ptr | unaliased_typecode (CORBA::TypeCode_ptr tc ACE_ENV_ARG_DECL)
TAO_NAMESPACE_INLINE_FUNCTION CORBA::TCKind | unaliased_kind (CORBA::TypeCode_ptr tc ACE_ENV_ARG_DECL)
| Return the unaliased `TCKind` of the given `TypeCode`.

## Detailed Description

Id
  TypeCode.h,v 1.11 2005/06/27 07:28:40 jwillemsen Exp

Header file the `CORBA::TypeCode` class.

Author:
  Ossama Othman <ossama@dre.vanderbilt.edu>

  DOC group at Vanderbilt University, Washington University and the University of California at Irvine.

## Typedef Documentation

typedef TAO_Pseudo_Out_T< TypeCode, TypeCode_var > CORBA::TypeCode_out

typedef TAO_Pseudo_Var_T< TypeCode > CORBA::TypeCode_var

## Function Documentation

CORBA::ULong TAO::TypeCode::aligned_offset | ( | CORBA::ULong | offset | ) |

| Return offset aligned on the appropriate CDR boundary.

bool TAO::TypeCode::marshal | ( | TAO_OutputCDR & | cdr,
|  | CORBA::TypeCode_ptr | tc,
|  | CORBA::ULong | offset
| ) |

| See also: ::TypeCode::tao_marshal() description for details.

TAO_NAMESPACE_INLINE_FUNCTION bool operator<< | ( | TAO_OutputCDR & | cdr,
|  | CORBA::TypeCode_ptr | tc
| ) |

TAO_Export bool operator>> | ( | TAO_InputCDR & | cdr,
|  | CORBA::TypeCode_ptr & | tc
| ) |

ACE_INLINE CORBA::TCKind TAO::unaliased_kind | ( | CORBA::TypeCode_ptr tc | ACE_ENV_ARG_DECL | ) |

| Return the unaliased `TCKind` of the given `TypeCode`. Note: This is a convenience function that simply calls `kind()` on the unaliased `TypeCode` returned from `unaliased_typecode()`.

CORBA::TypeCode_ptr TAO::unaliased_typecode | ( | CORBA::TypeCode_ptr tc | ACE_ENV_ARG_DECL | ) |

| Return the unaliased content `TypeCode` of the given `TypeCode`.